Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkVolumeRayCastFunction Class Reference

`#include <vtkVolumeRayCastFunction.h>`

Inheritance diagram for vtkVolumeRayCastFunction:

[legend]
Collaboration diagram for vtkVolumeRayCastFunction:

[legend]
List of all members.

## Detailed Description

a superclass for ray casting functions

Date:
  2002/10/28 21:33:01

Revision:
  1.29

vtkVolumeRayCastFunction is a superclass for ray casting functions that can be used within a vtkVolumeRayCastMapper. This includes for example, vtkVolumeRayCastCompositeFunction, vtkVolumeRayCastMIPFunction, and vtkVolumeRayCastIsosurfaceFunction.

See also:
  vtkVolumeRayCastCompositeFunction vtkVolumeRayCastMIPFunction vtkVolumeRayCastIsosurfaceFunction vtkVolumeRayCastMapper

Created by:
  - Avila, Lisa

CVS contributions (if > 5%):
  - Avila, Lisa (91%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkVolumeRayCastFunction.h)`
  - .`cxx` (`/Rendering/vtkVolumeRayCastFunction.cxx)`

Definition at line 146 of file vtkVolumeRayCastFunction.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | CastRay (vtkVolumeRayCastDynamicInfo *dynamicInfo, vtkVolumeRayCastStaticInfo *staticInfo)=0
virtual float | GetZeroOpacityThreshold (vtkVolume *vol)=0
void | FunctionInitialize (vtkRenderer *ren, vtkVolume *vol, vtkVolumeRayCastStaticInfo *staticInfo)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkVolumeRayCastFunction * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkVolumeRayCastFunction ()
| ~vtkVolumeRayCastFunction ()
virtual void | SpecificFunctionInitialize (vtkRenderer *ren, vtkVolume *vol, vtkVolumeRayCastStaticInfo *staticInfo, vtkVolumeRayCastMapper *mapper)=0

## Member Typedef Documentation

typedef vtkObject vtkVolumeRayCastFunction::Superclass

| Reimplemented from vtkObject. Reimplemented in vtkVolumeRayCastCompositeFunction, vtkVolumeRayCastIsosurfaceFunction, and vtkVolumeRayCastMIPFunction. Definition at line 149 of file vtkVolumeRayCastFunction.h.

## Constructor & Destructor Documentation

vtkVolumeRayCastFunction::vtkVolumeRayCastFunction | ( |  | ) | `[inline, protected]`

| Definition at line 172 of file vtkVolumeRayCastFunction.h.

vtkVolumeRayCastFunction::~vtkVolumeRayCastFunction | ( |  | ) | `[inline, protected]`

| Definition at line 173 of file vtkVolumeRayCastFunction.h.

## Member Function Documentation

virtual const char* vtkVolumeRayCastFunction::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject. Reimplemented in vtkVolumeRayCastCompositeFunction, vtkVolumeRayCastIsosurfaceFunction, and vtkVolumeRayCastMIPFunction.

int vtkVolumeRayCastFunction::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtkVolumeRayCastCompositeFunction, vtkVolumeRayCastIsosurfaceFunction, and vtkVolumeRayCastMIPFunction.

virtual int vtkVolumeRayCastFunction::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtkVolumeRayCastCompositeFunction, vtkVolumeRayCastIsosurfaceFunction, and vtkVolumeRayCastMIPFunction.

vtkVolumeRayCastFunction* vtkVolumeRayCastFunction::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject. Reimplemented in vtkVolumeRayCastCompositeFunction, vtkVolumeRayCastIsosurfaceFunction, and vtkVolumeRayCastMIPFunction.

virtual void vtkVolumeRayCastFunction::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject. Reimplemented in vtkVolumeRayCastCompositeFunction, vtkVolumeRayCastIsosurfaceFunction, and vtkVolumeRayCastMIPFunction.

void vtkVolumeRayCastFunction::FunctionInitialize | ( | vtkRenderer * | ren,
|  | vtkVolume * | vol,
|  | vtkVolumeRayCastStaticInfo * | staticInfo
| ) |

| Do the basic initialization. This includes saving the parameters passed in into local variables, as well as grabbing some useful info from the volume property and normal encoder. This initialize routine is called once per render. It also calls the SpecificFunctionInitialize of the subclass function. BTX

virtual void vtkVolumeRayCastFunction::CastRay | ( | vtkVolumeRayCastDynamicInfo * | dynamicInfo,
|  | vtkVolumeRayCastStaticInfo * | staticInfo
| ) | `[pure virtual]`

| Implemented in vtkVolumeRayCastCompositeFunction, vtkVolumeRayCastIsosurfaceFunction, and vtkVolumeRayCastMIPFunction.

virtual float vtkVolumeRayCastFunction::GetZeroOpacityThreshold | ( | vtkVolume * | vol | ) | `[pure virtual]`

| Get the value below which all scalar values are considered to have 0 opacity. Implemented in vtkVolumeRayCastCompositeFunction, vtkVolumeRayCastIsosurfaceFunction, and vtkVolumeRayCastMIPFunction.

virtual void vtkVolumeRayCastFunction::SpecificFunctionInitialize | ( | vtkRenderer * | ren,
|  | vtkVolume * | vol,
|  | vtkVolumeRayCastStaticInfo * | staticInfo,
|  | vtkVolumeRayCastMapper * | mapper
| ) | `[protected, pure virtual]`

| This method gives the subclass a chance to do any special initialization that it may need to do BTX Implemented in vtkVolumeRayCastCompositeFunction, vtkVolumeRayCastIsosurfaceFunction, and vtkVolumeRayCastMIPFunction.

The documentation for this class was generated from the following file:

- Rendering/vtkVolumeRayCastFunction.h